//<debug/>

using System;
using System.Linq;
using System.Windows.Forms;
using System.Collections.Generic;
using System.Diagnostics;
using System.Globalization;
using System.IO;

using ISD.Scripting;
using ISD.BaseTypes;
using ISD.Math;
using ISD.CAD.Base;
using ISD.CAD.Data;
using ISD.CAD.Contexts;
using ISD.CAD.Creators;
using ISD.CAD.Modifiers;

using Helicon.Scripting;

public class Script : HeliconScript
{
   /// <summary>
   /// Called before any processing
   /// </summary>
   public override void PreProcessing(PreProcessingArgs args)
   {
   }

   /// <summary>
   /// Called after the 3D model has been created, i.e. after processing and positioning of components
   /// </summary>
   public override void PostCreate3DModel(PostCreate3DModelArgs args)
   {
   }

   /// <summary>
   /// Called before creation of a new project in the PDM system
   /// </summary>
   public override void PreCreatePDMProject(PreCreatePDMProjectArgs args)
   {
   }

   /// <summary>
   /// Called after creation of a new project in the PDM system
   /// </summary>
   public override void PostCreatePDMProject(PostCreatePDMProjectArgs args)
   {
   }

   /// <summary>
   /// Called before creation of the assembly drawing
   /// </summary>
   public override void PreCreateAssemblyDrawing(PreCreateAssemblyDrawingArgs args)
   {
   }

   /// <summary>
   /// Called after creation of the assembly drawing
   /// </summary>
   public override void PostCreateAssemblyDrawing(PostCreateAssemblyDrawingArgs args)
   {
   }

   /// <summary>
   /// Called before creation of a detail drawing. 
   /// This method is called before saving the detail drawing, with views already arranged.
   /// </summary>
   public override void PreCreateDetailDrawing(PreCreateDetailDrawingArgs args)
   {
   }

   /// <summary>
   /// Called after creation of a detail drawing
   /// </summary>
   public override void PostCreateDetailDrawing(PostCreateDetailDrawingArgs args)
   {
   }
}